This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 173105 - Review Request: xfce4-battery-plugin
Review Request: xfce4-battery-plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
David Lawrence
http://xfce-goodies.berlios.de/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-14 01:43 EST by Christoph Wickert
Modified: 2014-09-23 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-30 15:35:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-11-14 01:43:16 EST
Spec Name or Url: http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-battery-plugin.spec
SRPM Name or Url: http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-battery-plugin-0.3.0-2.fc4.src.rpm
Description: A battery monitor plugin for the Xfce panel, compatible with APM and ACPI.

- rplint is clean
- licese BSD (included)
Comment 1 Kevin Fenzi 2005-11-15 15:18:34 EST
Good:

- rpmlint ok on both fc4/devel
- package meets naming guidelines 
- package builds fine on both fc4/devel (x86)
- no .a files. 
- source matches upstream.
- works on my fc4 laptop.

Needswork: 
- Are you sure the license is BSD? The source files have LGPL headers, but the
COPYING file looks BSD. Can you get upstream to clarify? It could be dual
LGPL/BSD or something. 

Nits:
- make might need to be 'make %{?_smp_mflags}'

I can't seem to (yet) reassign this bug to approve it, my fedorabugs group
membership might still be propigating to the cvs box.
Comment 2 Christoph Wickert 2005-11-17 21:03:48 EST
(In reply to comment #1)
> 
> Needswork: 
> - Are you sure the license is BSD? The source files have LGPL headers, but the
> COPYING file looks BSD. Can you get upstream to clarify? It could be dual
> LGPL/BSD or something. 
I have contacted upstream but no reply by now. Styin tuned.
I will now push the GPL licensed goodies first (#173543, #173544, #173546,
#173548 - #173553), then have a closer look at the BSD ones.

> 
> Nits:
> - make might need to be 'make %{?_smp_mflags}'
D'oh. Of course, will fix that before biuld.
Comment 3 Christoph Wickert 2005-12-01 08:50:13 EST
Reply from Upstream:
Benedikt Meurer (author of xfce4-sample-plugin) said that the COPYING (BSD) file
is only a relict from his sample plugin and since LGPL is more restrictive it
should be applied to the whole package.

Edscott Wilson Garcia (one of the programs authors) wrote:
"Yes. Libraries are LGPL, as released in such manner by their initial
author. The program source file is BSD, since that is what the initial
author (Nicholas Penwarden) thought best."

Debian ships this package as BSD
http://packages.debian.org/changelogs/pool/main/x/xfce4-battery-plugin/xfce4-battery-plugin_0.3.0-1/xfce4-battery-plugin.copyright

So should we release it LGPL? Do I have to replace the COPYING file then?
Comment 4 Kevin Fenzi 2005-12-01 12:21:14 EST
Since the package has both LGPL (the acpi/apm lib files) and BSD (the main
battstat.c file), it should have both in the spec License... BSD and LGPL. 

I would leave the BSD liscence in the COPYING file (as it is upstream), but
perhaps add a LGPL copying file in as well? 

Then, spec can have: License: BSD and LGPL
Comment 6 Ralf Corsepius 2005-12-01 12:58:21 EST
(In reply to comment #4)
> Since the package has both LGPL (the acpi/apm lib files) and BSD (the main
> battstat.c file), it should have both in the spec License... BSD and LGPL. 
> 
> I would leave the BSD liscence in the COPYING file (as it is upstream), but
> perhaps add a LGPL copying file in as well? 
> 
> Then, spec can have: License: BSD and LGPL

Sorry, nope. If binary package having been built from sources containing
[L]GPL'ed and other licensed source files, automatically is [L]GPL'ed as a whole.
Comment 7 Kevin Fenzi 2005-12-01 13:14:10 EST
> Sorry, nope. If binary package having been built from sources containing
> [L]GPL'ed and other licensed source files, automatically is [L]GPL'ed 
> as a whole.

Really? Do you have a cite or other information on that? 
libxfce4util needs to be changed to only LGPL if thats the case...
also I see libcap in core has "BSD-like and LGPL".

Also if thats the case we should update the wiki to mention that in License
discussion and reviews. 

Also, Christoph: xfce4-battery-plugin is missing libxfcegui4-devel as a
BuildRequires. 
Comment 8 Christoph Wickert 2005-12-01 13:38:04 EST
(In reply to comment #7)
> 
> Also, Christoph: xfce4-battery-plugin is missing libxfcegui4-devel as a
> BuildRequires. 

Arghh, yes. I've fixed that in the specfile but I don't want to rebuild the srpm
before the license issue is clear.

Comment 9 Christoph Wickert 2005-12-01 13:44:18 EST
(In reply to comment #7)
> 
> Also, Christoph: xfce4-battery-plugin is missing libxfcegui4-devel as a
> BuildRequires. 

Correcting my prevouis comment #8
Nope, sorry, it's there. Both in the srpm and in the specfile on the ftp server.
Comment 10 Patrice Dumas 2005-12-01 13:54:24 EST
(In reply to comment #7)
> > Sorry, nope. If binary package having been built from sources containing
> > [L]GPL'ed and other licensed source files, automatically is [L]GPL'ed 
> > as a whole.

More precisely the whole is redistributed under the terms of the LGPL. But the
BSD licenced files remain BSD licenced. So it is more informative to put BSD and
LGPL in the licence. The BSD copyright/licence statement is added in the %doc
section (it is the COPYING file), there is a LGPL so things are fine. 

Incidentally the
panel-plugin/libacpi.c
has a GPL header?
Comment 11 Thorsten Leemhuis 2005-12-01 14:27:24 EST
(In reply to comment #10)
> (In reply to comment #7)
> > > Sorry, nope. If binary package having been built from sources containing
> > > [L]GPL'ed and other licensed source files, automatically is [L]GPL'ed 
> > > as a whole.
> 
> More precisely the whole is redistributed under the terms of the LGPL.

Then "License" field in the rpm spec imho should only be "LGPL" because it
stands for the whole package. Otherwise someone might get the idea that the
whole package is under a Dual-BSD/LGPL license. And thats wrong afaics.
Comment 12 Ralf Corsepius 2005-12-01 23:55:40 EST
(In reply to comment #11)
> (In reply to comment #10)
> > (In reply to comment #7)
> > > > Sorry, nope. If binary package having been built from sources containing
> > > > [L]GPL'ed and other licensed source files, automatically is [L]GPL'ed 
> > > > as a whole.
> > 
> > More precisely the whole is redistributed under the terms of the LGPL.
> 
> Then "License" field in the rpm spec imho should only be "LGPL" because it
> stands for the whole package. Otherwise someone might get the idea that the
> whole package is under a Dual-BSD/LGPL license. And thats wrong afaics.

Exactly. Though each source file can apply different licenses, the final
application binary is being linked against files having been compiled from
LGPL'ed sources. Therefore, the final binary application is LGPL'ed, though it's
sources are licensed BSD.

=> I.e. the binary package must be shipped/relicensed under the [L]GPL.
Comment 13 Patrice Dumas 2005-12-02 04:29:17 EST
(In reply to comment #11)

> Then "License" field in the rpm spec imho should only be "LGPL" because it
> stands for the whole package. Otherwise someone might get the idea that the
> whole package is under a Dual-BSD/LGPL license. And thats wrong afaics.

Yep, that's true. It's in fact better to avoid people thinking that's it's dual
licencing. As there are the 2 licences in %doc, it should be enough to have
somebody interested get the srpm and look at the file headers.
Comment 14 Kevin Fenzi 2005-12-09 14:26:01 EST
ok, that all makes sense I guess... 

So, the package License should be "LGPL". 

With that fixed, I see no other blockers...
APPROVED. 
Comment 15 Christoph Wickert 2005-12-30 15:35:26 EST
Successfully compiled on all arches and branches.
Comment 16 Mukundan Ragavan 2014-09-22 20:56:31 EDT
Package Change Request
======================
Package Name: xfce4-battery-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 17 Jon Ciesla 2014-09-23 07:56:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.